Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class HTMLEditorKit.HTMLTextAction

    java.lang.Object
      |
      +--javax.swing.AbstractAction
            |
            +--javax.swing.text.TextAction
                  |
                  +--javax.swing.text.StyledEditorKit.StyledTextAction
                        |
                        +--javax.swing.text.html.HTMLEditorKit.HTMLTextAction

Direct Known Subclasses:
  HTMLEditorKit.InsertHTMLTextAction

public abstract static class HTMLEditorKit.HTMLTextAction
extends StyledEditorKit.StyledTextAction

An abstract Action providing some convenience methods that may be useful in inserting HTML into an existing document.

NOTE: None of the convenience methods obtain a lock on the document. If you have another thread modifying the text these methods may have inconsistant behavior, or return the wrong thing.

See Also:
  Serialized Form

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Constructor Summary
`HTMLEditorKit.HTMLTextAction(java.lang.String name)`

Method Summary
`protected int` | `elementCountToTag(HTMLDocument doc, int offset, HTML.Tag tag)` Returns number of elements, starting at the deepest leaf, needed to get to an element representing `tag`.
`protected Element` | `findElementMatchingTag(HTMLDocument doc, int offset, HTML.Tag tag)` Returns the deepest element at `offset` matching `tag`.
`protected Element[]` | `getElementsAt(HTMLDocument doc, int offset)` Returns an array of the Elements that contain `offset`.
`protected HTMLDocument` | `getHTMLDocument(JEditorPane e)`
`protected HTMLEditorKit` | `getHTMLEditorKit(JEditorPane e)`

Methods inherited from class javax.swing.text.StyledEditorKit.StyledTextAction
`getEditor, getStyledDocument, getStyledEditorKit, setCharacterAttributes, setParagraphAttributes`

Methods inherited from class javax.swing.text.TextAction
`augmentList, getFocusedComponent, getTextComponent`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLEditorKit.HTMLTextAction

    public HTMLEditorKit.HTMLTextAction(java.lang.String name)

Method Detail

### getHTMLDocument

    protected HTMLDocument getHTMLDocument(JEditorPane e)

  Returns:
    HTMLDocument of `e`.

### getHTMLEditorKit

    protected HTMLEditorKit getHTMLEditorKit(JEditorPane e)

  Returns:
    HTMLEditorKit for `e`.

### getElementsAt

    protected Element[] getElementsAt(HTMLDocument doc,
                                      int offset)

  Returns an array of the Elements that contain `offset`. The first elements corresponds to the root.

### elementCountToTag

    protected int elementCountToTag(HTMLDocument doc,
                                    int offset,
                                    HTML.Tag tag)

  Returns number of elements, starting at the deepest leaf, needed to get to an element representing `tag`. This will return -1 if no elements is found representing `tag`, or 0 if the parent of the leaf at `offset` represents `tag`.

### findElementMatchingTag

    protected Element findElementMatchingTag(HTMLDocument doc,
                                             int offset,
                                             HTML.Tag tag)

  Returns the deepest element at `offset` matching `tag`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.